Subject: Re: git-svn breakage on repository rename

From: Guido Stevens <[email-masked]>
Date: Sun, 06 Dec 2009 17:24:36 +0100

Eric, thanks!

Plone admins: I can now confirm it was not a svn corruption. Adding the 
"--no-follow-parent" switch to git svn clone makes it possible to check 
out the Plone svn into git -- at least the commits since the rename.

That one might be relevant for anybody who wants to contribute to the 
Plone code base from a git-centered workflow.

Thanks everybody for helping to solve this problem! I can now integrate 
the analysis of Products.CMFPlone into the overall Plone ecosystem 
analysis, and it would have been very awkward not to be able to do that 
because of this renaming issue. Again: thanks.

:*CU#

Eric Wong wrote:
> Guido Stevens <[email-masked]> wrote:
>> ----------------------------------------------------
>> To reconstruct this error:
>> ----------------------------------------------------
>>
>> $ git svn init https://svn-mirror.plone.org/svn/plone/Plone/trunk Plone
>> $ cd Plone
>> $ git svn fetch
> 
> Since Plone appears to use a standard trunk/branches/tags layout
> recommended by SVN developers, can you try this instead?:
> 
>   git svn clone -s http://svn-mirror.plone.org/svn/plone/Plone

That one breaks completely, silently.

> 
> If you don't care about branches/tags at all, you can also try
> 
>   git svn clone --no-follow-parent \
>     https://svn-mirror.plone.org/svn/plone/Plone/trunk Plone

Yep, that one does the trick.

It does what it says though: it stops at the rename boundary 
22715->22716. Luckily I can do other checkouts on the other names that 
this package has had and complete my analysis anyway.

:*CU#
-- 
***   Guido A.J. Stevens        ***   tel: +31.43.3618933    ***
***   [email-masked]   ***   Postbus 619            ***
***   http://www.cosent.nl      ***   6200 AP  Maastricht    ***

             s h a r i n g    m a k e s    s e n s e